Package org.opensaml.messaging.handler.impl

# Class CheckMandatoryIssuer

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.messaging.handler.AbstractMessageHandler
org.opensaml.messaging.handler.impl.CheckMandatoryIssuer

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `MessageHandler`

public final class CheckMandatoryIssuer extends AbstractMessageHandler
Message handler that checks that a message context has an issuer.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Function<MessageContext,String>`
`issuerLookupStrategy`
Strategy used to look up the issuer associated with the message context.

## Constructor Summary

Constructors
Constructor
Description
`CheckMandatoryIssuer()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doInitialize()`
`protected void`
`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`void`
`setIssuerLookupStrategy(Function<MessageContext,String> strategy)`
Set the strategy used to look up the issuer associated with the message context.

### Methods inherited from class org.opensaml.messaging.handler.AbstractMessageHandler

`doPostInvoke, doPostInvoke, doPreInvoke, getActivationCondition, getLogPrefix, invoke, isPreInvokeCalled, setActivationCondition`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Field Details

### issuerLookupStrategy

@NonnullAfterInit private Function<MessageContext,String> issuerLookupStrategy
Strategy used to look up the issuer associated with the message context.

## Constructor Details

### CheckMandatoryIssuer

public CheckMandatoryIssuer()

## Method Details

### setIssuerLookupStrategy

public void setIssuerLookupStrategy(@Nonnull Function<MessageContext,String> strategy)
Set the strategy used to look up the issuer associated with the message context.

Parameters:
  `strategy` - lookup strategy

### doInitialize

protected void doInitialize() throws ComponentInitializationException

Overrides:
  `doInitialize` in class `AbstractInitializableComponent`
Throws:
  `ComponentInitializationException`

### doInvoke

protected void doInvoke(@Nonnull MessageContext messageContext) throws MessageHandlerException
Performs the handler logic.

Specified by:
  `doInvoke` in class `AbstractMessageHandler`
Parameters:
  `messageContext` - the message context on which to invoke the handler
Throws:
  `MessageHandlerException` - if there is an error invoking the handler on the message context